# JSONBoard
Date: 2018-12-06

com.massivecraft.factions.zcore.persist.json

## Class JSONBoard

- java.lang.Object
- - com.massivecraft.factions.Board
  - - com.massivecraft.factions.zcore.persist.MemoryBoard
    - - com.massivecraft.factions.zcore.persist.json.JSONBoard

    public class JSONBoard
    extends MemoryBoard

### Nested Class Summary

### Nested classes/interfaces inherited from class com.massivecraft.factions.zcore.persist.MemoryBoard

`MemoryBoard.MemoryBoardMap`

### Field Summary

### Fields inherited from class com.massivecraft.factions.zcore.persist.MemoryBoard

`flocationIds`

### Fields inherited from class com.massivecraft.factions.Board

`instance`

### Constructor Summary

Constructors
Constructor and Description
`JSONBoard()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `convertFrom(MemoryBoard old)`
`java.util.Map<java.lang.String,java.util.Map<java.lang.String,java.lang.String>>` `dumpAsSaveFormat()`
`void` `forceSave()`
`void` `forceSave(boolean sync)`
`boolean` `load()`
`void` `loadFromSaveFormat(java.util.Map<java.lang.String,java.util.Map<java.lang.String,java.lang.String>> worldCoordIds)`

### Methods inherited from class com.massivecraft.factions.zcore.persist.MemoryBoard

`clean, clean, clearOwnershipAt, getAllClaims, getAllClaims, getFactionAt, getFactionCoordCount, getFactionCoordCount, getFactionCoordCountInWorld, getIdAt, getMap, hasFactionWithin, isBorderLocation, isConnectedLocation, removeAt, setFactionAt, setIdAt, unclaimAll, unclaimAllInWorld`

### Methods inherited from class com.massivecraft.factions.Board

`getInstance`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JSONBoard

    public JSONBoard()

### Method Detail

#### dumpAsSaveFormat

    public java.util.Map<java.lang.String,java.util.Map<java.lang.String,java.lang.String>> dumpAsSaveFormat()

#### loadFromSaveFormat

    public void loadFromSaveFormat(java.util.Map<java.lang.String,java.util.Map<java.lang.String,java.lang.String>> worldCoordIds)

#### forceSave

    public void forceSave()

Specified by:
  `forceSave` in class `Board`

#### forceSave

    public void forceSave(boolean sync)

Specified by:
  `forceSave` in class `Board`

#### load

    public boolean load()

Specified by:
  `load` in class `Board`

#### convertFrom

    public void convertFrom(MemoryBoard old)

Specified by:
  `convertFrom` in class `MemoryBoard`